/* SCSS RGB 
--xanthous: rgba(248, 191, 95, 1);
$slate-blue: rgba(120, 95, 187, 1);
$ultramarine: rgba(40, 14, 153, 1);
$alabaster: rgba(237, 231, 223, 1);
$white: rgba(254, 254, 254, 1);
$ultramarine-2: rgba(36, 7, 149, 1);*/

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@700&display=swap');

body {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	background-color: #FEFEFE;
	color: #888888;
	font-weight:bold;
    font-family: 'Poppins', sans-serif;
  }
  
  .material-icons-outlined {
	vertical-align: middle;
	line-height: 1px;
  }
  
  .text-primary {
	color: #666666;
  }
  
  .text-blue {
	color: #246dec;
  }
  
  .text-red {
	color: #cc3c43;
  }
  
  .text-green {
	color: #367952;
  }
  
  .text-orange {
	color: #f5b74f;
  }
  
  .font-weight-bold {
	font-weight: 600;
  }
  
  .grid-container {
	display: grid;
	grid-template-columns: 400px 1fr 1fr 1fr;
	grid-template-rows: 0.2fr 3fr;
	grid-template-areas:
	  "sidebar header header header"
	  "sidebar main main main";
	height: 100vh;
  }
  
  
  /* ---------- HEADER ---------- */
  
  .header {
	grid-area: header;
	height: 70px;
	background-color: #240795;
	display: flex;
	align-items: center;
	justify-content: space-between;
	padding: 0 30px 0 30px;
	box-shadow: 0 6px 7px -4px rgba(0, 0, 0, 0.2);
	border-bottom: 8px solid #190566;
  }

  .header-left {
	align-items: center;
  }

  .header-right {
	font-size:x-small	;
  }
  
  .header-line {
	max-width: 100%;
    height: 500px;
    position: relative;
    margin: auto;
    margin-left: auto;
    margin-right: auto;
    background: #140452;
    justify-content: center;

  }

  .menu-icon {
	display: none;
  }

  .title-name-formatting {
	white-space: nowrap;
    display: inline-flex;
    position: static;
    width: 100%;
    justify-content: center;
  }

  .header-title-part-1 {
	color: #F4F6FF;
    display: inline-block;
    margin-right: 10px;
    font-family: 'Poppins', sans-serif;
    font-size: 44px;
  }

  .header-title-part-2 {
	font-family: 'Poppins', sans-serif;
    font-size: 46px;
    background: -webkit-linear-gradient(60deg, #FF8B73, #FCC360);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
  }
  
  
  /* ---------- SIDEBAR ---------- */

  #sidebar {
	grid-area: sidebar;
	height: 100%;
	background-color: #FEFEFE;
	color: #3f3f3f;
	overflow-y: auto;
	transition: all 0.5s;
	-webkit-transition: all 0.5s;
	box-shadow: 0 6px 7px 4px rgba(0, 0, 0, 0.2);
	border-right: 8px solid #190566;
  }
  
  .sidebar-title {
	display: flex;
	align-items: center;
	padding: 20px 20px 20px 0px;
	padding-left: 18%;
  }
  
  .sidebar-title > span {
	display: none;
  }
  
  .sidebar-brand {
	margin-top: 10px;
	font-size: 20px;
	font-weight: 700;
  }
  
  .sidebar-list {
	padding: 0;
	margin-top: 5px;
	list-style-type: none;
  }
  
  .sidebar-list-item {
	padding: 20px 20px 0px 20px;
  }
  
  
  .sidebar-list-item > a {
	text-decoration: none;
	color: #EDE7df;
  }
  
  .sidebar-responsive {
	display: inline !important;
	position: absolute;
	/*
	  the z-index of the ApexCharts is 11
	  we want the z-index of the sidebar higher so that
	  the charts are not showing over the sidebar 
	  on small screens
	*/
	z-index: 12 !important;
  }

  
  /* ---------- FORM INPUTS ---------- */
  
  .customNumber {
    font-family: 'Poppins', sans-serif;
	font-size: large;
    border-radius: 10px;
	border-color: #140452;
  border-width: 3px;
  border-style: solid;
	width: 100%;
	background-color: #FEFEFE;
	color: #140452;
	padding: 3px;
  }
  
  .customNumber:focus{
	outline-color: #88b2ce;
	outline-style: solid;
	outline-width: 3px;
  }
  .input-general {
    font-family: 'Poppins', sans-serif;
	font-size: large;
    border-radius: 10px;
	border-color: #140452;
	border-style: solid;
  border-width: 3px;
	width: 100%;
	background-color: #FEFEFE;
	color: #140452;
	padding: 3px;
  }
  .input-general:focus{
	outline-color: #88b2ce;
	outline-style: solid;
	outline-width: 3px;
  }


  .form-label {
	font-size:larger;
    font-family: 'Poppins', sans-serif;
	color: #140452;
	display: inline-block;
	padding-top: 3%;
  }

  .form-Header {
    font-size: x-large;
    font-family: 'Poppins', sans-serif;
    font-weight: bolder;
    color: #140452;
    display: inline;
    padding-left: 20%;
    /* justify-content: center; */
    padding-bottom: 0%;

  }
  .select-main {
    font-family: 'Poppins', sans-serif;
	font-size: large;
    border-radius: 10px;
	border-color: #c08810;
  border-width: 3px;
	border-style: solid;
	width: 100%;
	background-color: #FEFEFE;
	color: #140452;
	padding: 3px;
  }
  .select-main:focus{
	outline-color: #88b2ce;
	outline-style: solid;
	outline-width: 3px;
  }

  .radioBtn {
	accent-color: #140452;
  }
  input[type=radio] {
    width: 10%;
    height: 2em;
}
  .radioLabel {
    font-family: 'Poppins', sans-serif;
	font-size: large;
	width: 100%;
	text-align: center;
	color: #140452;
  }

  #Radio-Btn {
	padding-left: 25%;
  }

  /* ---------- BUTTONS ---------- */
.btn-general{
    background-color: #49a8c0;
    border: solid transparent;
    border-radius: 10px;
    border-width: 0 0 4px;
	border-color: #3d8ca0;
    box-sizing: border-box;
    color: #F4F6FF;
    cursor: pointer;
    display: inline-block;
    font-family: 'Poppins', sans-serif;
    font-size: 13px;
    font-weight: 700;
    letter-spacing: .8px;
    line-height: 20px;
    margin-top: 30px;
    outline: none;
    overflow: visible;
    padding: 5px 10px;
    text-align: center;
    text-transform: uppercase;
    touch-action: manipulation;
    justify-content: center;
    transition: filter .2s;
    user-select: none;
    -webkit-user-select: none;
    width: 100%;
    align-items: center;

}

.btn-general:hover{
    background-color: #459eb4;
}
.btn-general:active{
	background-color: #3d8ca0;
}

.btn-main{
    background-color: #49c071;
    border: solid transparent;
    border-radius: 10px;
    border-width: 0 0 4px;
	border-color: #348849;
    box-sizing: border-box;
    color: #F4F6FF;
    cursor: pointer;
    display: inline-block;
    font-family: 'Poppins', sans-serif;
    font-size: 13px;
    font-weight: 700;
    letter-spacing: .8px;
    line-height: 20px;
    margin-top: 10px;
    outline: none;
    overflow: visible;
    padding: 5px 10px;
    text-align: center;
    text-transform: uppercase;
    touch-action: manipulation;
    justify-content: center;
    transition: filter .2s;
    user-select: none;
    -webkit-user-select: none;
    width: 100%;
    align-items: center;

}
.btn-main:hover{
    background-color: #45b46a;
}
.btn-main:active{
	background-color: #348849;
}


  
  /* ---------- MAIN ---------- */
  
  .main-container {
	grid-area: main;
	overflow-y: auto;
	padding: 20px 20px;
  }
  
  .main-title {
	display: flex;
	justify-content: space-between;
  }
  
  .main-title > p {
	font-size: 20px;
  }
  
  .main-cards {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr 1fr;
	gap: 20px;
	margin: 20px 0;
  }
  
  .card {
	display: flex;
	flex-direction: column;
	justify-content: space-around;
	padding: 25px;
	background-color: #ffffff;
	box-sizing: border-box;
	border: 1px solid #d2d2d3;
	border-radius: 5px;
	box-shadow: 0 6px 7px -4px rgba(0, 0, 0, 0.2);
  }
  
  .card:first-child {
	border-left: 7px solid #246dec;
  }
  
  .card:nth-child(2) {
	border-left: 7px solid #f5b74f;
  }
  
  .card:nth-child(3) {
	border-left: 7px solid #367952;
  }
  
  .card:nth-child(4) {
	border-left: 7px solid #cc3c43;
  }
  
  .card > span {
	font-size: 20px;
	font-weight: 600;
  }
  
  .card-inner {
	display: flex;
	align-items: center;
	justify-content: space-between;
  }
  
  .card-inner > p {
	font-size: 18px;
  }
  
  .card-inner > span {
	font-size: 35px;
  }
  
  .charts {
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 20px;
  }
  
  .charts-card {
	background-color: #ffffff;
	margin-bottom: 20px;
	padding: 25px;
	box-sizing: border-box;
	-webkit-column-break-inside: avoid;
	border: 1px solid #d2d2d3;
	border-radius: 5px;
	box-shadow: 0 6px 7px -4px rgba(0, 0, 0, 0.2);
  }
  
  .chart-title {
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 22px;
	font-weight: 600;
  }
  
  
  /* ---------- SCROLLBARS ---------- */
  
  ::-webkit-scrollbar {
	width: 5px;
	height: 6px;
  }
  
  ::-webkit-scrollbar-track {
	box-shadow: inset 0 0 5px #a5aaad;
	border-radius: 10px;
  }
  
  ::-webkit-scrollbar-thumb {
	background-color: #4f35a1;
	border-radius: 10px;
  }
  
  ::-webkit-scrollbar-thumb:hover {
	background-color: #a5aaad;
  }
  
  
  /* ---------- MEDIA QUERIES ---------- */
  
  
  /* Medium <= 992px */
  @media screen and (max-width: 992px) {
	.grid-container {
	  grid-template-columns: 1fr;
	  grid-template-rows: 0.2fr 3fr;
	  grid-template-areas:
		"header"
		"main";
	}
  
	#sidebar {
	  display: none;
	}
  
	.menu-icon {
	  display: inline;
	}
  
	.sidebar-title > span {
	  display: inline;
	}
  }
  
  /* Small <= 768px */
  @media screen and (max-width: 768px) {
	.main-cards {
	  grid-template-columns: 1fr;
	  gap: 10px;
	  margin-bottom: 0;
	}
  
	.charts {
	  grid-template-columns: 1fr;
	  margin-top: 30px;
	}
  }
  
  /* Extra Small <= 576px */
  @media screen and (max-width: 576px) {
	.header-left {
	  display: none;
	}
  }